# 1. Notes/Issue Naming Convention
- Regex = `[a-zA-Z0-9]{2,3} [0-9]{3} - [0-9]{9} \([a-zA-Z]+\) - [a-zA-Z0-9 ]+[a-zA-Z0-9]( \([a-zA-Z0-9 ]+\))?`
- Examples 1 = `CS 699 - 203099999 (Name) - Software Lab`
- Examples 2 = `CS 699 - 203099999 (Name) - Software Lab (Topic 1)`
- Examples 3 = `CS 699 - 203099999 (Name) - Software Lab (Topic 2)`

# 2. Why Git Issues for this ?
- It is faster than MS Teams and Google Drive
- Provides better organisation as compared to WhatsApp groups
- Faster searching of notes

# 3. Steps to add notes
### 3.a Option 1
- Create a new issue
- Create a PDF and directly upload it in the issue

### 3.b Option 2
- Take photos on your mobile
- Reduce the size of the photo (Android - [Photoczip](https://play.google.com/store/apps/details?id=org.ibeccato.photoczip&hl=en))
- Open [Git CSE Login](https://git.cse.iitb.ac.in/users/sign_in) and login
- Open [Notes Sharing MTech1 2020-2021 - New Issues](https://git.cse.iitb.ac.in/fenilgmehta/Notes-Sharing-MTech1-2020-2021/issues/new) in a mobile browser
- Add name and click on "Attach a file"
- Select Galary app
- Long press on any one image to insert multiple images together and select all the images to upload
- Wait for the upload process to complete
- Click on "Submit issue" to finish :)

### 3.c Option 3
- NOTE: you can always edit the past notes (PDF and images) uploaded

### Screenshots
![image](/uploads/cd3a808eb53ec27bb8a72458106e460c/image.png)
![image](/uploads/e858c603500a80197895c48751fbbfb3/image.png)
![image](/uploads/0f8c4973270a5085dbba8b1670e5b350/image.png)
![image](/uploads/3e49d9e019ec51e20efa297a651c51ce/image.png)
![image](/uploads/ba2ccd2e3f7c20b48ef37ce340be61c2/image.png)
![image](/uploads/044cbecd0bef5ccfe94c2b22d6b14fdd/image.png)

# NOTE: please do NOT write/comment anything which can create problems for you or others.